Bug 801116 - (CVE-2012-1502) CVE-2012-1502 PyPAM: Double free by processing passwords containing NULL-bytes
CVE-2012-1502 PyPAM: Double free by processing passwords containing NULL-bytes
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120308,reported=2...
: Security
Depends On:
Blocks: 801137
  Show dependency treegraph
 
Reported: 2012-03-07 12:34 EST by Jan Lieskovsky
Modified: 2016-11-08 11:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 01:59:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-07 12:34:30 EST
A double-free flaw was found in the way PyPAM, a Pluggable Authentication Module bindings for Python language, processed passwords containing NULL-byte character. If an application used PyPAM module for user authentication without sanitization of user provided input, a remote attacker could use this flaw to cause that application to crash (denial of service) via specially-crafted user password string.
Comment 11 Jan Lieskovsky 2012-03-08 07:52:21 EST
The CVE identifier of CVE-2012-1502 has been previously assigned to this issue.
Comment 17 Jan Lieskovsky 2012-03-08 10:41:05 EST
This issue affects the version of the PyPAM package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the version of the PyPAM package, as shipped with Red Hat Network Satellite Server v5.4.1 for Red Hat Enterprise Linux 5.

--

This issue affects the versions of the PyPAM package, as shipped with Fedora release of 15 and 16.

This issue affects the versions of the PyPAM package, as shipped with Fedora EPEL 5 and Fedora EPEL 6.
Comment 19 Jan Lieskovsky 2012-03-09 04:14:11 EST
Public via:
[1] http://seclists.org/fulldisclosure/2012/Mar/68
Comment 23 Stefan Cornelius 2012-06-14 01:59:12 EDT
Statement:

The Red Hat Security Response Team has rated this issue as having low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 24 Tomas Mraz 2012-06-14 02:20:07 EDT
Note that it is fixed in Fedora Rawhide - PyPAM-0.5.0-15.fc18

Note You need to log in before you can comment on or make changes to this bug.